import { hash } from './helpers/authentication';
import start from './indexRunner';
import setupLocal from './local';
import System from './system/System';

const run = async () => {
  const installDirectory = '/tmp/colosseum-installed-services';
  await setupLocal(System, process.cwd(), installDirectory);
  await start({
    hash: await hash('password'),
    installDirectory,
    port: 8080,
    secret: 'secret',
  });
};

run().catch(console.error);
