import { join } from 'path';

import ISystem from './types/ISystem';

const setupLocal = async (system: ISystem, servicesDirectory: string, installDirectory: string) => {
  await system.deleteDirectory(installDirectory);
  const serviceNames = await system.listDirectories(servicesDirectory);

  await serviceNames.reduce((chain, service) => {
    const nodeModulesPath = join(installDirectory, `colosseum-${service}`, 'node_modules');
    return chain
      .then(() => system.ensureDirectory(nodeModulesPath))
      .then(() => system.symlink(join(servicesDirectory, service), join(nodeModulesPath, service)));
  }, Promise.resolve());
};

export default setupLocal;
